Subject: Re: Trying to understand alloc_skb()

From: Daniel Ann <[email-masked]>
Date: Wed, 13 Apr 2005 13:40:41 +0900

On 4/12/05, John W. Linville <[email-masked]> wrote:
> My guess would be that your best bet is to move your call to
> notifier_call_chain off to a workqueue.  notifier_call_chain (and/or
> one or more of the functions it is calling) is likely written to
> expect to be in process context.

I was thinking that this might have something to do with BH stuff that
I've left out from reading. (rather complicated :P)
Forgive me for trying to take an easy way, but moving things to
workqueue, do you mean putting it in bottom half? (Im sorta guessing
bottom half is like something you do after finishing high priority
tasks)

(I guess you had this coming) How do you move it to the workqueue?

--=20
Daniel